<?
/**
	* MIWIX CMS - main config
	* updated release 3.0
*/

header('Content-type:text/html;charset=utf-8');
header("X-XSS-Protection: 1; mode=block");
header("Referrer-Policy: no-referrer");
header("Referrer-Policy: strict-origin-when-cross-origin");
header("X-Permitted-Cross-Domain-Policies: none");
header('Strict-Transport-Security: max-age=31536000; includeSubDomains; preload');
header("X-Content-Type-Options: nosniff");
header_remove('x-powered-by');

ini_set('zlib.output_compression_level', 6);

session_start([
    'cookie_lifetime' => 2592000,
]);

ini_set('allow_url_fopen', 1);

if (!defined('DIR')) {
	define('DIR',  dirname(__DIR__));
}

if (!defined('ROOT')) {
	define('ROOT',  $_SERVER['DOCUMENT_ROOT']);
}

if (!defined('MIWIX_VERSION'))  {
	define('MIWIX_VERSION', 3.0);
}

if (!defined('ENABLE_CACHE')) {
	define('ENABLE_CACHE', false); 
}

if (!defined('PHP_ERRORS_SHOW')) {
	define('PHP_ERRORS_SHOW', true);
}

if (!defined('PHP_ERRORS_REPORTING')) {
	define('PHP_ERRORS_REPORTING', true);
}

if (!defined('COMPRESS_OUTPUT_HTML')) {
	define('COMPRESS_OUTPUT_HTML', false);
}

if (!defined('VENDORS')) {
	define('VENDORS', DIR.'/miwix-admin/vendors');
}

setlocale(LC_ALL, 'ru_RU', 'ru_RU.UTF-8', 'ru', 'russian');

spl_autoload_register(function ($class) {
	$class = str_replace('\\', DIRECTORY_SEPARATOR, $class);

	$miwix = DIR . '/miwix-admin/' . $class . '.php';
	$vendors = VENDORS.'/'. $class . '.php';

	if (file_exists($miwix)) {
		include $miwix;
	} elseif (file_exists($vendors)) {
		include $vendors;
	}
});
